{
    attributes = (
        {
            columnName = "C_CIVILITE"; 
            externalType = VARCHAR2; 
            name = cCivilite; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_NAISSANCE"; 
            externalType = DATE; 
            name = dNaissance; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_CLE_INSEE"; 
            externalType = NUMBER; 
            name = indCleInsee; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_CLE_INSEE_PROV"; 
            externalType = NUMBER; 
            name = indCleInseeProv; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_NO_INSEE"; 
            externalType = VARCHAR2; 
            name = indNoInsee; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 13; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_NO_INSEE_PROV"; 
            externalType = VARCHAR2; 
            name = indNoInseeProv; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 13; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_QUALITE"; 
            externalType = VARCHAR2; 
            name = indQualite; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 120; 
        }, 
        {
            columnName = "NO_INDIVIDU"; 
            externalType = NUMBER; 
            name = noIndividu; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NOM_AFFICHAGE"; 
            externalType = VARCHAR2; 
            name = nomAffichage; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NOM_PATRONYMIQUE"; 
            externalType = VARCHAR2; 
            name = nomPatronymique; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NOM_PATRONYMIQUE_AFFICHAGE"; 
            externalType = VARCHAR2; 
            name = nomPatronymiqueAffichage; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            columnName = "NOM_USUEL"; 
            externalType = VARCHAR2; 
            name = nomUsuel; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PRENOM; 
            externalType = VARCHAR2; 
            name = prenom; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        cCivilite, 
        indCleInsee, 
        indCleInseeProv, 
        indNoInsee, 
        indNoInseeProv, 
        indQualite, 
        noIndividu, 
        nomAffichage, 
        nomPatronymique, 
        nomPatronymiqueAffichage, 
        nomUsuel, 
        persId, 
        prenom
    ); 
    className = "org.cocktail.kaki.server.metier.EOIndividu"; 
    classProperties = (
        cCivilite, 
        dNaissance, 
        indCleInsee, 
        indCleInseeProv, 
        indNoInsee, 
        indNoInseeProv, 
        indQualite, 
        noIndividu, 
        nomAffichage, 
        nomPatronymique, 
        nomPatronymiqueAffichage, 
        nomUsuel, 
        persId, 
        prenom, 
        temValide
    ); 
    externalName = "GRHUM.INDIVIDU_ULR"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cCivilite, 
            dNaissance, 
            indCleInsee, 
            indCleInseeProv, 
            indNoInsee, 
            indNoInseeProv, 
            indQualite, 
            noIndividu, 
            nomAffichage, 
            nomPatronymique, 
            nomPatronymiqueAffichage, 
            nomUsuel, 
            persId, 
            prenom, 
            temValide
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOIndividu"; 
    }; 
    name = Individu; 
    primaryKeyAttributes = (noIndividu); 
}
